Test::Search::BranchTypes Class Reference

Iterator for branching types. More...

## Public Member Functions

| BranchTypes (void)
| Initialize iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next branching type.
HowToBranch | htb (void) const
| Return current branching type.

## Detailed Description

Iterator for branching types.

Definition at line 651 of file search.cpp.

## Constructor & Destructor Documentation

## BranchTypes()

Test::Search::BranchTypes::BranchTypes | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 659 of file search.cpp.

## Member Function Documentation

## operator()()

bool Test::Search::BranchTypes::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 661 of file search.cpp.

## operator++()

void Test::Search::BranchTypes::operator++ | ( | void |  | ) |

inline

Increment to next branching type.

Definition at line 665 of file search.cpp.

## htb()

HowToBranch Test::Search::BranchTypes::htb | ( | void |  | ) | const

inline

Return current branching type.

Definition at line 669 of file search.cpp.

The documentation for this class was generated from the following file:

- test/search.cpp